cURL
curl --request GET \ --url https://api.leen.dev/v1/itsm/comments/{comment_id} \ --header 'X-API-KEY: <api-key>' \ --header 'X-CONNECTION-ID: <api-key>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "body": "<string>", "ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "vendor_attributes": { "id": "<string>", "vendor": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "data": { "vendor": "JIRA", "originalBody": "<unknown>" } }, "author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
Successful Response
Leen's UUID for the Comment
Text content of the Comment
Ticket ID the Comment belongs to
Vendor-specific attributes of the Comment
Show child attributes
Vendor's ID for the Comment
Vendor name
Creation time of the Comment in Vendor
Last update time of the Comment in Vendor
Vendor-specific data associated with the Comment
JIRA
"JIRA"
User ID of the Comment author